import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const poultryGetAutoRequestService = createAsyncThunk(
  "POULTRY_GET_AUTO_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("automatic_kill_request/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
